Use this file to discover all available pages before exploring further.
NOTIFY_REQUEST_WITHDRAW (type=2)When a user initiates a withdrawal request (requiring secondary confirmation), WaaS will request the merchant to perform secondary confirmation through this interface. The merchant needs to return specific withdrawal information in the response, which will determine whether WaaS executes the withdrawal operation.
Merchant must ensure the uniqueness of this callBackId. WaaS will actively callback the merchant carrying this parameter to obtain specific withdrawal order information.
After processing the callback, merchants need to return a JSON-formatted response body. The data field must return an RSA-encrypted Base64 string (encrypted using the public key provided by WaaS), while other fields are in plain text:
Encrypted business data, e.g.: BDn6Liv5Z4TJ9vjfd (refer to example on right)Generated by encrypting the following raw business parameters:tenantUserId (String) : User ID initiating withdrawal (in merchant system, not WaaS system)callBackId : Merchant must return callBackId to help WaaS with secondary confirmationaddress : Withdrawal target addresschainName (String) : Blockchain namesymbol (String) : Token symbolamount (Integer) : Withdrawal amounttype (String) : Callback typerequestUUID (String) : Unique request identifier, merchant must return the same requestUUID in response to help WaaS confirm